package org.objectweb.alarm.beans;

import java.io.Serializable;

/**
 * Data associated with an AlarmRecord.
 * This is what will be passed to servlets to be displayed.
 */
public class AlarmData implements Serializable {
    int num;			// AlarmRecord number (=pk)
    int sev;			// Severity Level
    String device;		// Device that generated Alarm
    String message;		// Alarm Message
    int count;			// Count of received messages
    int state;			// State (1=received, 2=processed, 3=deleted)
    java.sql.Date date;		// Date of first message

    public AlarmData(int n, int s, String dev, String m, java.sql.Date d) {
	num = n;
	sev = s;
	device = dev;
	message = m;
	count = 1;
	state = 1;
	date = d;
    }

    public int getNum() {
	return num;
    }

    public int getSev() {
	return sev;
    }

    public String getDevice() {
	return device;
    }

    public String getMessage() {
	return message;
    }

    public int getCount() {
	return count;
    }

    public void setCount(int c) {
	count = c;
    }

    public int getState() {
	return state;
    }

    public void setState(int s) {
	state = s;
    }

    public java.util.Date getDate() {
	return date;
    }
}
